ruby-zentest_4.11.0-2_all.deb


Advertisement

Description

ruby-zentest - ZenTest provides 4 different tools: zentest, unit_diff, autotest, and multiruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-zentest
Package version: 4.11.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 178 B
Download size: 58.16 KB
Official Mirror: archive.ubuntu.com
zentest scans your target and unit-test code and writes your missing code based on simple naming rules, enabling XP at a much quicker pace. zentest only works with Ruby and Minitest or Test::Unit. There is enough evidence to show that this is still proving useful to users, so it stays. unit_diff is a command-line filter to diff expected results from actual results and allow you to quickly see exactly what is wrong. Do note that minitest 2.2+ provides an enhanced assert_equal obviating the need for unit_diff autotest is a continuous testing facility meant to be used during development. As soon as you save a file, autotest will run the corresponding dependent tests. multiruby runs anything you want on multiple versions of ruby. Great for compatibility checking! Use multiruby_setup to manage your installed versions.

Alternatives

    Download

    Source package: ruby-zentest

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-zentest deb package:
      # sudo apt-get install ruby-zentest

    Files

    • /usr/bin/autotest
    • /usr/bin/multigem
    • /usr/bin/multiruby
    • /usr/bin/multiruby_setup
    • /usr/bin/unit_diff
    • /usr/bin/zentest
    • /usr/lib/ruby/vendor_ruby/autotest.rb
    • /usr/lib/ruby/vendor_ruby/focus.rb
    • /usr/lib/ruby/vendor_ruby/functional_test_matrix.rb
    • /usr/lib/ruby/vendor_ruby/multiruby.rb
    • /usr/lib/ruby/vendor_ruby/unit_diff.rb
    • /usr/lib/ruby/vendor_ruby/zentest.rb
    • /usr/lib/ruby/vendor_ruby/zentest_mapping.rb
    • /usr/lib/ruby/vendor_ruby/autotest/autoupdate.rb
    • /usr/lib/ruby/vendor_ruby/autotest/bundler.rb
    • /usr/lib/ruby/vendor_ruby/autotest/isolate.rb
    • /usr/lib/ruby/vendor_ruby/autotest/once.rb
    • /usr/lib/ruby/vendor_ruby/autotest/preload.rb
    • /usr/lib/ruby/vendor_ruby/autotest/rcov.rb
    • /usr/lib/ruby/vendor_ruby/autotest/restart.rb
    • /usr/lib/ruby/vendor_ruby/autotest/timestamp.rb
    • /usr/share/doc-base/ruby-zentest
    • /usr/share/doc/ruby-zentest/Article.css
    • /usr/share/doc/ruby-zentest/README.txt.gz
    • /usr/share/doc/ruby-zentest/changelog.Debian.gz
    • /usr/share/doc/ruby-zentest/copyright
    • /usr/share/doc/ruby-zentest/getting_started_with_autotest.html
    • /usr/share/doc/ruby-zentest/how_to_use_zentest.txt.gz
    • /usr/share/doc/ruby-zentest/examples/example.txt
    • /usr/share/doc/ruby-zentest/examples/example1.rb
    • /usr/share/doc/ruby-zentest/examples/example2.rb
    • /usr/share/doc/ruby-zentest/examples/example_dot_autotest.rb
    • /usr/share/man/man1/autotest.1.gz
    • /usr/share/man/man1/multigem.1.gz
    • /usr/share/man/man1/multiruby.1.gz
    • /usr/share/man/man1/multiruby_setup.1.gz
    • /usr/share/man/man1/unit_diff.1.gz
    • /usr/share/man/man1/zentest.1.gz
    • /usr/share/rubygems-integration/all/specifications/ZenTest-4.11.0.gemspec

    Changelog

    2016-03-01 - Lucas Kanashiro <kanashiro.duarte@gmail.com> ruby-zentest (4.11.0-2) unstable; urgency=medium * Team upload. * Create patch to fix tests with ruby2.3 (Closes: #816162) * d/control: update Vcs urls, silence lintian * Add d/doc-base to install some HTML documentation * Add d/examples, drop examples from d/docs * Declare compliance with Debian policy 3.9.7 * Bump debhelper compatibility level to 9 * Wrap and sort dependencies and manpage

    2015-03-03 - Antonio Terceiro <terceiro@debian.org> ruby-zentest (4.11.0-1) experimental; urgency=medium * Team upload * New upstream release * 0001-Expand-autodiscovery-to-autotest-discover-.rb.patch: expand autodiscovery to autotest/discover*.rb

    2014-04-08 - Pirate Praveen <praveen@debian.org> ruby-zentest (4.9.5-1) unstable; urgency=low * New Upstream release * Bump standards version to 3.9.5 (no changes) * Bump gem2deb build dep to >=0.7.5~ * Add articles to docs

    2013-05-06 - Praveen Arimbrathodiyil <praveen@debian.org> ruby-zentest (4.9.1-1) unstable; urgency=low * New upstream release * Update to standards version 3.9.4 - Remove DM-Upload-Allowed * Update VCS fields * Install example* as docs

    2012-10-30 - Praveen Arimbrathodiyil <praveen@debian.org> ruby-zentest (4.8.2-2) unstable; urgency=low * update formating of man pages.

    2012-10-23 - Praveen Arimbrathodiyil <praveen@debian.org> ruby-zentest (4.8.2-1) unstable; urgency=low * Initial release (Closes: #691256) * Thanks to PJP for his help - he helped make pod2man run in a loop in debian/rules

    Advertisement
    Advertisement